Description

Hi

I would like to see support for writing processing model output (including geometries) to SQL Server.

History

#1 - 2018-08-14 11:14 AM - Giovanni Manghi

SQL Server as in "MS SQL Server"?

#2 - 2018-08-14 11:17 AM - Magnus Nilsson

Yes! Sorry for not being clear. MS SQL Server is very common in large organizations and it would be a great feature if a processing model could write to it.

#3 - 2018-08-14 11:27 AM - Giovanni Manghi

- Subject changed from Add write support for SQL Server in a Processing model to Add write support for MS SQL Server in a Processing model

Magnus Nilsson wrote:

Yes! Sorry for not being clear. MS SQL Server is very common in large organizations and it would be a great feature if a processing model could

write to it.

If one of those organizations needs it then is just a matter to support the work to implement this feature.

As a "workaround" you could write a Processing plugin with a tool based on ogr2ogr to import data in MS SQL Server, see for example:

https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/gdal/ogr2ogrtopostgislist.py

#4 - 2018-10-02 10:22 PM - Nyall Dawson
- Category changed from Processing/Modeller to Data Provider/MSSQL
https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/gdal/ogr2ogrtopostgislist.py

